
C LAST UPDATE:
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C*****************************
C**      LSM_SEL_RESTORE    **
C*****************************
C
C **** LSM SERVICE ROUTINE ONLY ****
C
      SUBROUTINE LSM_SEL_RESTORE
C
      INCLUDE 'implicit_none.finc'
C
C Purpose : Restore saved reflection selection flags
C
C Author:  Steffi Arzt, John Campbell, July 1997
C
C Arguments:
C
C none
C
C Parameters:
C
C none
C
C====== PARAMETERS:
C
      INCLUDE 'limits.finc'
C
C====== GLOBALS:
C
      INCLUDE 'use_reflns.finc'
      INCLUDE 'lsm_flags.finc'
C
C====== LOCALS:
C
      INTEGER I
      INTEGER J
C
C-------------------------------------------------------------------------------
C
      DO 20 I = 1, MAXPACK
         DO 10 J = 1, MAXPLATES
            PKPL_USE(I,J) = PKPL_SAVE(I,J)
 10      CONTINUE
 20   CONTINUE
      SIGN_SEP_USE = SIGN_SEP_SAVE
      REFINT_USE = REFINT_SAVE
      SPOV_USE = SPOV_SAVE
      OVLD_USE = OVLD_SAVE
      SIGCUT_USE = SIGCUT_SAVE
C
C====== Set select required flag
C
      SELECT_REQUIRED = .TRUE.
      RETURN
      END
